# SDLMain.m File Reference

`#import "SDL.h"`
`#import "SDLMain.h"`
`#import <sys/param.h>`
`#import <unistd.h>`

## Data Structures
class | NSApplication(SDL_Missing_Methods)
struct | CPSProcessSerNum
class | SDLApplication
## Defines
#define | SDL_USE_NIB_FILE 0
#define | SDL_USE_CPS 1
## Functions
OSErr | CPSGetCurrentProcess (CPSProcessSerNum *psn)
OSErr | CPSEnableForegroundOperation (CPSProcessSerNum *psn, UInt32 _arg2, UInt32 _arg3, UInt32 _arg4, UInt32 _arg5)
OSErr | CPSSetFrontProcess (CPSProcessSerNum *psn)
static NSString * | getApplicationName (void)
int | main (int argc, char **argv)
## Variables
static int | gArgc
static char ** | gArgv
static BOOL | gFinderLaunch
static BOOL | gCalledAppMainline = FALSE

## Define Documentation

#define SDL_USE_NIB_FILE 0

#define SDL_USE_CPS 1

## Function Documentation

OSErr CPSGetCurrentProcess | ( | CPSProcessSerNum * | psn | ) |

OSErr CPSEnableForegroundOperation | ( | CPSProcessSerNum * | psn,
|  | UInt32 | _arg2,
|  | UInt32 | _arg3,
|  | UInt32 | _arg4,
|  | UInt32 | _arg5 |
| ) |  |  |

OSErr CPSSetFrontProcess | ( | CPSProcessSerNum * | psn | ) |

static NSString* getApplicationName | ( | void |  | ) | `[static]`

int main | ( | int | argc,
|  | char ** | argv |
| ) |  |  |

References gArgc, gArgv, gFinderLaunch, NO, and YES.

## Variable Documentation

int gArgc`[static]`

Referenced by main().

char** gArgv`[static]`

Referenced by main().

BOOL gFinderLaunch`[static]`

Referenced by main().

BOOL gCalledAppMainline = FALSE`[static]`